--- title: "Project Communications - RFI/Submittals" slug: "recipe-pm-project-communications" updated: 2024-03-13T14:50:18Z published: 2024-03-13T14:50:18Z canonical: "developers.cmicglobal.com/recipe-pm-project-communications" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Project Communications - RFI/Submittals Managing owner mandated project communication and documents with CMiC CMiC initiated project communication is synchronized with mandated Owner project Management software to allow seamless communication between project key players. ## Step 1: Retrieve a specific PM Project via company and project code Retrieve project details for a specific project code using finder e.g. ``` finder=selectByCompProj;companyCode=001,projectCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmproject?finder=selectByCompProj;companyCode=001,projectCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 2: Retrieve project contact records Get all contacts for a specific project. ``` finder=selectProjContacts;compCode=001,projCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmprojcontact?finder=selectProjContacts;compCode=001,projCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 3: Retrieve project key player records Retrieve project key players using company code and project code. ``` finder=selectByCompProj;CompCode=001,ProjCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmkeyplayers?finder=selectByCompProj;CompCode=001,ProjCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 4: Retrieve vendor records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/sys-rest-api/rest/1/businesspartner?finder=selectBusinessPartner;businessPartner=AGO' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 5: Retrieve project RFIs Retrieve RFI's using project code. ``` finder=selectProjRfi; compCode=001, projCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmrfi?finder=selectProjRfi; compCode=001, projCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 6: Retrieve project RFI notes Retrieve notes using company and project code. e.g. ``` finder=findNote;PmnObjCompCodeVar=001,PmnObjProjCodeVar=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmnotes?finder=findNote;PmnObjCompCodeVar=001,PmnObjProjCodeVar=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 7: Retrieve project Submittals Retrieve submittals using project code. ``` finder=selectByProject;projCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmsubmittal?finder=selectByProject;projCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 8: Retrieve project documents **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/sys-rest-api/rest/1/sysrelateddocquery?finder=selectByRevision;RevisionVuuid=9D08CBD16AAEE393E053788610ACDE84' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 9: Retrieve project document bytes **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-doc-rest-api/jersey/v1/downloadDoc/EC08983A5C42474DE05316821FAC5776' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 10: Upload a project document Upload a project document using form-data fields. ``` fileDetails contains meta data about the project and document. document-content-file contains the file attachment ``` **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-doc-rest-api/jersey/v1/uploadDoc' \ --header 'Authorization: Basic Your-User:Pass' \ --form 'fileDetails="{ \"PmdProjUuid\": \"EB404B9544005906E05316821FACFD65\", \"PmdTypeCode\": \"SCMAST\", \"PmdId\": \"test-drawing-S2_03\", \"PmdTitle\": \"Test Drawing test-drawing-S2_03.pdf\", \"PmdDesc1\": \"test desc 1\", \"PmdDesc2\": \"test desc 2\", \"PmdrComment\": \"Original Document\", \"PmdrRcvdDate\": \"2022-09-01\", \"PmdrRevDate\": \"2022-09-01\" }"' \ --form 'document-content-file=@"TEST.pdf"' ``` ## Step 11: Create project RFI notes **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmnotes' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --header 'Authorization: Basic Your-User:Pass' \ --data-raw '{ "PmnNum": 1, "PmnObjectType": "PMRFI", "PmnObjCompCode": "001", "PmnObjProjCode": "201021", "PmnObjKey1": "0212-0004", "PmnVUuid": "" }' ```